# Interface QuantitativeResult

All Superinterfaces:
  `Result`

All Known Implementing Classes:
  `DefaultQuantitativeResult`

@UML(identifier="DQ_QuantitativeResult", specification=ISO_19115) public interface QuantitativeResult extends Result
Information about the value (or set of values) obtained from applying a data quality measure.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InternationalString`
  `getErrorStatistic()`
  Statistical method used to determine the value, or `null` if none.
  `Collection<? extends Record>`
  `getValues()`
  Quantitative value or values, content determined by the evaluation procedure used.
  `RecordType`
  `getValueType()`
  Value type for reporting a data quality result, or `null` if none.
  `Unit<?>`
  `getValueUnit()`
  Value unit for reporting a data quality result, or `null` if none.

- ## Method Details

  - ### getValues

    @UML(identifier="value", obligation=MANDATORY, specification=ISO_19115) Collection<? extends Record> getValues()
    Quantitative value or values, content determined by the evaluation procedure used.
    Returns:
      Quantitative value or values.

  - ### getValueType

    @UML(identifier="valueType", obligation=OPTIONAL, specification=ISO_19115) RecordType getValueType()
    Value type for reporting a data quality result, or `null` if none.
    Returns:
      Value type for reporting a data quality result, or `null`.

  - ### getValueUnit

    @UML(identifier="valueUnit", obligation=MANDATORY, specification=ISO_19115) Unit<?> getValueUnit()
    Value unit for reporting a data quality result, or `null` if none.
    Returns:
      Value unit for reporting a data quality result, or `null`.

  - ### getErrorStatistic

    @UML(identifier="errorStatistic", obligation=OPTIONAL, specification=ISO_19115) InternationalString getErrorStatistic()
    Statistical method used to determine the value, or `null` if none.
    Returns:
      Statistical method used to determine the value, or `null`.